import re
import sys

def check(a):
    pattern = r'^(?!0)\d{5,6}$'
    
    if re.match(pattern, a):
        return True
    else:
        return False



for line in sys.stdin:
    word = line.strip() 
    if check(word):
        print("yes")
    else:
        print("no")